## UDisksLinuxEncrypted

UDisksLinuxEncrypted — Linux implementation of UDisksEncrypted

## Functions

UDisksEncrypted * | udisks_linux_encrypted_new ()
void | udisks_linux_encrypted_update ()

## Types and Values

| UDisksLinuxEncrypted

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksEncryptedSkeleton
                ╰── UDisksLinuxEncrypted

## Implemented Interfaces

UDisksLinuxEncrypted implements GDBusInterface and UDisksEncrypted.

## Description

This type provides an implementation of the UDisksEncrypted interface on Linux.

## Functions

### udisks_linux_encrypted_new ()

    UDisksEncrypted *
    udisks_linux_encrypted_new (void);

Creates a new UDisksLinuxEncrypted instance.

#### Returns

A new UDisksLinuxEncrypted. Free with `g_object_unref()`.

### udisks_linux_encrypted_update ()

    void
    udisks_linux_encrypted_update (UDisksLinuxEncrypted *encrypted,
                                   UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

encrypted | A UDisksLinuxEncrypted. |
object | The enclosing UDisksLinuxBlockObject instance. |

## Types and Values

### UDisksLinuxEncrypted

    typedef struct _UDisksLinuxEncrypted UDisksLinuxEncrypted;

The UDisksLinuxEncrypted structure contains only private data and should only be accessed using the provided API.